<div class="form-group">
    <label class="col-sm-2 col-form-label">Tipe Pesan <span class="warning">*</span></label>
    <div class="col-sm-6">
        <select name="tipe_pesan" onchange="onSelectChange(event);" class="form-control  message-type #{validate 'tipe_pesan'/}" required>
            <option value="0">Pilih Tipe Pesan</option>
        #{list items:models.common.JenisEmail.JenisPesan.values(), as: 'type'}
            <option value="${type.id}">${type.name()}</option>
        #{/list}
        </select>
        <div class="invalid-feedback">Anda harus memilih tipe pesan terlebih dahulu!</div>
    </div>
</div>

#{set 'other-js'}
<script type="text/javascript" src="#{assets '/js/form.util.js' /}"></script>
<script type="text/javascript">
    var innerForm = $('.inner-form')
    var key = $('.key-message').val()

    var MESSAGES = ${models.jcommon.util.CommonUtil.toJson(controllers.lelang.KlarifikasiCtr.MAP_KLARIFIKASI).raw()};

    function onSelectChange(event) {
        var value = Number(event.target.value)
        render(value)
    }

    function render(value) {
        if (value <= 0) {
            innerForm.hide()
        } else {
            innerForm.show()
        }
        var message;
        if(typeof key === 'undefined' || key === null || key === '')
            message = MESSAGES['PEMBUKTIAN_KUALIFIKASI'];
        else
            message = key;
        if (value === 1) {
            setData({
                message_string: 'Kami akan melakukan ' + message.replace("UNDANGAN", "").replace("_", " ") + ' terhadap Tender:',
                type_string: 'ISI PEMBERITAHUAN ' + message.replace("UNDANGAN", "").replace("_", " ").toUpperCase(),
                must: 'disiapkan',
                form_must: 'disiapkan'
            })
        } else if (value === 2) {
            setData({
                message_string: 'Kami mengundang Anda untuk menghadiri ' + message.replace("_", " ") + ' terhadap Tender:',
                type_string: 'ISI UNDANGAN ' + message.replace("UNDANGAN", " ").replace("_", " ").toUpperCase(),
                must: 'dibawa',
                form_must: 'dibawa'
            })
        }
    }

    function setData(data) {
        for (var i in data) {
            $('.' + i).html(data[i])
        }
    }
</script>
#{/set}